Bug 13747 - Fix problems with frequency descriptions containing quotes
Summary: Fix problems with frequency descriptions containing quotes
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-21 22:06 UTC by Katrin Fischer
Modified: 2017-07-31 11:17 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13747: Fix problems with frequency descriptions containing quotes (1.82 KB, patch)
2017-06-04 20:14 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13747: Fix problems with frequency descriptions containing quotes (1.90 KB, patch)
2017-06-05 20:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-02-21 22:06:56 UTC
Found this by coincidence during training:

If a serial frequency description contains quotes or is surrounded by quotes, the description is empty ("TEST" > empty) or shown without the quotes part (TEST "sth" > TEST) on editing the frequency.

To test:
- Create a new frequency
    - description: "Test"
- Modify frequency
- Verify the description field is empty
Comment 1 Marc Véron 2017-06-04 20:14:33 UTC
Created attachment 63955 [details] [review]
Bug 13747: Fix problems with frequency descriptions containing quotes

If a serial frequency description contains quotes or is surrounded by
quotes, the description is empty ("TEST" > empty) or shown without the
quotes part (TEST "sth" > TEST) on editing the frequency.

To verify:
- Create a new frequency with description: "Test"
- Modify frequency
- Verify the description field is empty

To test:
- Apply patch
- Try to recreate, verify that the description field is
  correctly filled when editing
- Test also with a name like: 'A "souble quoted" name'
Comment 2 Jonathan Druart 2017-06-05 20:00:21 UTC
Created attachment 63986 [details] [review]
Bug 13747: Fix problems with frequency descriptions containing quotes

If a serial frequency description contains quotes or is surrounded by
quotes, the description is empty ("TEST" > empty) or shown without the
quotes part (TEST "sth" > TEST) on editing the frequency.

To verify:
- Create a new frequency with description: "Test"
- Modify frequency
- Verify the description field is empty

To test:
- Apply patch
- Try to recreate, verify that the description field is
  correctly filled when editing
- Test also with a name like: 'A "souble quoted" name'

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2017-06-05 20:17:27 UTC
Trivial, skipping QA.
Comment 4 Jonathan Druart 2017-06-05 20:20:02 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-06-09 14:49:09 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 6 Katrin Fischer 2017-06-11 22:56:51 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 7 Mason James 2017-07-31 11:17:15 UTC
Pushed to 16.05.x, for 16.05.15 release